﻿// GotoMaster.jsx
// An InDesign CS3, CS4 JavaScript
//DESCRIPTION: Быстрый переход к мастер-развороту 
// Скрипт добавляет в меню панели Pages пункт Goto Master
// Скрипт целесообразно применять когда в документе много мастеров и активно идет с ними работа
/* Скрипт следует разместить в папке Startup Scripts, которая располагается по адресу (WinXP):
InDesign CS3: 
ДИСК:\Documents and Settings\USER\Application Data\Adobe\InDesign\Version 5.0\Scripts\Startup Scripts\
InDesign CS4: 
ДИСК:\Documents and Settings\USER\Application Data\Adobe\InDesign\Version 6.0\en_US\Scripts\Startup Scripts\
Если у вас нет папки Startup Scripts, то её нужно создать самому.
*/
// Борис Кащеев, boriskasmoscow@gmail.com, www.adobeindesign.ru
#targetengine "session"

var myMenu = app.menus.item("$ID/PagesPanelPopup");
var myAction = app.scriptMenuActions.add("Goto Master");
var myEventListener = myAction.eventListeners.add("onInvoke", function()
{
try {	
	var myCurrentPage  = app.activeWindow.activePage
	var myMaster = myCurrentPage.appliedMaster;
	if(myMaster) {
	//alert("Переход на "+myMaster.name);
	app.activeWindow.activeSpread = myMaster;
	}
else {alert("Невозможен переход на мастер [None]")}
}
catch (e) {}
});
var mySeparator = myMenu.menuSeparators.add();
var mySampleScriptMenuItem = myMenu.menuItems.add(myAction);